Name:           perl-XML-XML2JSON
Version:        0.06
Release:        1%{?dist}
Summary:        Convert XML into JSON (and back again) using XML::LibXML
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/XML-XML2JSON/
Source0:        http://www.cpan.org/authors/id/K/KE/KEN/XML-XML2JSON-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(XML::LibXML) >= 1.59
BuildRequires:  perl(JSON::Syck)
BuildRequires:  perl(JSON::XS)
BuildRequires:  perl(JSON)
BuildRequires:  perl(CPAN)
Requires:       perl(XML::LibXML) >= 1.59
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
I used Google for inspiration: http://code.google.com/apis/gdata/json.html

In short:
 * The response is represented as a JSON object; each nested element
   or attribute is represented as a name/value property of the object.
 * Attributes are converted to String properties.
 * Attribute names are prefixed with "@" so that they don't conflict
   with child elements of the same name.
 * Child elements are converted to Object properties.
 * Text values of tags are converted to $t properties.

Namespace
 * If an element has a namespace alias, the alias and element are
   concatenated using "$". For example, ns:element becomes ns$element.

XML
 * XML version and encoding attributes are converted to attribute
   version and encoding of the root element, respectively.

%prep
%setup -q -n XML-XML2JSON-%{version}

%build
yes n | %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Apr  9 2015 Dave Love <d.love@liverpool.ac.uk> - 0.06-1
- Initial packaging, based on cpanspec
